Page tree

Versions Compared

Key

  • This line was added.
  • This line was removed.
  • Formatting was changed.

...

Tip
titleSupported versions

At the moment, CentOS/RHEL/SL 6, 8, and 7 8 are supported.

Moonshot requires three yum repositories to be added to the system - EPEL and the Shibboleth repositories (home of some required dependencies), and the Moonshot repository itself.

  1. Install EPEL by running the following command:

    Code Block
    linenumberstrue
    yum install epel-release


    Note

    Depending on your platform, the epel-release package is part of one of the optional repositories.

    On CentOS, it is part of the Extras repository. On RHEL, you must enable both the Optional and Extras repositories. For more information, visit the EPEL homepage.

    On newer releases of Scientific Linux 7, the epel-release package does not exist. Use yum install yum-conf-epel instead. For more information, see the Scientific Linux 7.2 release notes.


  2. Install the Moonshot repository information running one of the the following commands depending on your CentOS version:

    Code Block
    titleCentOS 6
    linenumberstrue
    collapsetrue
    yum install -y https://repository.project-moonshot.org/rpms/moonshot-repository.centos6.rpm


    Code Block
    titleCentOS 7
    linenumberstrue
    collapsetrue
    yum install -y https://repository.project-moonshot.org/rpms/moonshot-repository.centos7.rpm


    Code Block
    titleCentOS 8
    linenumberstrue
    collapsetrue
    yum install -y https://repository.project-moonshot.org/rpms/moonshot-repository.centos8.rpm


  3. This installs the Yum repository, the current Moonshot GPG key, and a package that can update both. This is the preferred method of deploying repository information.

    Note
    titleVerifying the Moonshot GPG key

    If you wish to verify the Moonshot GPG key's validity and integrity, please see the Packaging GPG Key for further details.


  4. Install the official Shibboleth repository using one of the following commands, according to your CentOS version:. 

    Code Block
    languagebash
    titleCentOS 6
    linenumberstrue
    collapsetrue
    curl -o /etc/yum.repos.d/shibboleth.repo http://download.opensuse.org/repositories/security:/shibboleth/CentOS_CentOS-6/security:shibboleth.repo


    Code Block
    languagebash
    titleCentOS 7
    linenumberstrue
    collapsetrue
    curl -o /etc/yum.repos.d/shibboleth.repo http://download.opensuse.org/repositories/security://shibboleth/CentOS_7/security:shibboleth.repo


    Code Block
    languagebash
    titleCentOS 78
    linenumberstrue
    collapsetrue
    curl -o /etc/yum.repos.d/shibboleth.repo http://download.opensuse.org/repositories/security://shibboleth/CentOS_8/security:shibboleth.repo


...